Package twisted :: Package protocols :: Module basic :: Class StatefulStringProtocol |
[show private | hide private]
[frames | no frames]

## Class StatefulStringProtocol

A stateful string protocol.

This is a mixin for string protocols (Int32StringReceiver, NetstringReceiver) which translates stringReceived into a callback (prefixed with 'proto_') depending on state.

Method Summary
| ``stringReceived`(self, string)` Choose a protocol phase function and call it.

Class Variable Summary
`str` | `state`

Method Details

### stringReceived(self, string) Choose a protocol phase function and call it. Call back to the appropriate protocol phase; this begins with the function proto_init and moves on to proto_* depending on what each proto_* function returns. (For example, if self.proto_init returns 'foo', then self.proto_foo will be the next function called when a protocol message is received.

Class Variable Details

    ### state Type: `str` Value:
        'init'

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net